%define debug 0
%define final 1

%define qt_version 3.3.6
%define kdebase_epoch 6

Version: 3.5.4
Release: 1%{?dist}
Epoch: 1
Summary: K Desktop Environment - Accessibility
Name: kdeaccessibility
License: GPL
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Requires: kdebase >= %{kdebase_epoch}:%{version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: kdebase-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: perl
BuildRequires: libXtst-devel
BuildRequires: gettext

%description
Included with this package are:
kmag, a screen magnifier,
kmousetool, a program for people whom it hurts to click the mouse,
kmouth, program that allows people who have lost their voice
to let their computer speak for them.

%prep
%setup -q

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
   --disable-gcc-hidden-visibility \
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde \
   --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_includedir}

# Make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
      ln -sf ../common %{buildroot}%{_docdir}/HTML/en/$i
   fi
done
popd

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
for f in hicolor locolor mono ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done

%postun
/sbin/ldconfig
for f in hicolor locolor mono ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/icons/mono/index.theme
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applnk/Applications/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/icons/*/*/*/*
%{_libdir}/*.la
%{_libdir}/*.so*
%{_libdir}/kde?/*


%changelog
* Thu Aug 10 2006 Than Ngo <than@redhat.com> 1:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 1:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 1:3.5.3-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 1:3.5.3-1
- update to 3.5.3

* Tue Apr 04 2006 Than Ngo <than@redhat.com> 1:3.5.2-1
- update to 3.5.2

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 3.5.1-2
- BuildRequires: libXtst-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 1:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 Than Ngo <than@redhat.com> 1:3.5.0-1
- 3.5

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 1:3.4.92-1
- update to 3.5 beta2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 1:3.4.91-1
- update to 3.5 beta 1

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 1:3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 1:3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Wed Mar 16 2005 Than Ngo <than@redhat.com> 1:3.4.0-1
- KDE 3.4.0 final

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Sun Feb 20 2005 Than Ngo <than@redhat.com> 1:3.3.92-0.1
- KDE 3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Fri Jun 04 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.1
- update to 3.2.3

* Mon Apr 12 2004 Than Ngo <than@redhat.com> 1:3.2.2-0.1
- 3.2.2 release

* Sat Mar 06 2004 Than Ngo <than@redhat.com> 1:3.2.1-0.1
- 3.2.1 release

* Fri Feb 06 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.2
- rebuilt against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.1
- 3.2.0 release

* Sun Dec 07 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta 2

* Sat Nov 15 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- initial rpm for Fedora
